package com.ym.mec.biz.dal.entity;

import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;

public class CourseScheduleStudentMusicScore extends BaseEntity {
    private Integer id;
    private Long courseScheduleId;
    private Integer downStatus = 0;
    private Integer userId;
    private Integer userType = 0;
    private Integer musicScoreAccompanimentId;
    private Integer playStatus = 0;
    private Integer accompanimentPlayStatus = 0;
    private Integer speed;
    private String mp3Url;
    private String url;
    private String musicScoreName;
    private Date createTime;
    private Date updateTime;

    public Integer getAccompanimentPlayStatus() {
        return accompanimentPlayStatus;
    }

    public void setAccompanimentPlayStatus(Integer accompanimentPlayStatus) {
        this.accompanimentPlayStatus = accompanimentPlayStatus;
    }

    public String getMp3Url() {
        return mp3Url;
    }

    public void setMp3Url(String mp3Url) {
        this.mp3Url = mp3Url;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMusicScoreName() {
        return musicScoreName;
    }

    public void setMusicScoreName(String musicScoreName) {
        this.musicScoreName = musicScoreName;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getDownStatus() {
        return downStatus;
    }

    public void setDownStatus(Integer downStatus) {
        this.downStatus = downStatus;
    }

    public Integer getMusicScoreAccompanimentId() {
        return musicScoreAccompanimentId;
    }

    public void setMusicScoreAccompanimentId(Integer musicScoreAccompanimentId) {
        this.musicScoreAccompanimentId = musicScoreAccompanimentId;
    }

    public Integer getPlayStatus() {
        return playStatus;
    }

    public void setPlayStatus(Integer playStatus) {
        this.playStatus = playStatus;
    }

    public Integer getSpeed() {
        return speed;
    }

    public void setSpeed(Integer speed) {
        this.speed = speed;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
